"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getKeyObject = exports.isCryptoKey = void 0;
const crypto = require("crypto");
const webcrypto = crypto.webcrypto;
exports.default = webcrypto;
function isCryptoKey(key) {
    if (webcrypto !== undefined) {
        return key instanceof webcrypto.CryptoKey;
    }
    return false;
}
exports.isCryptoKey = isCryptoKey;
function getKeyObject(key) {
    return crypto.KeyObject.from(key);
}
exports.getKeyObject = getKeyObject;
